html
{
    font-family: ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

header
{
    display: flex;
    align-items: center;
    justify-content: center;

    h1
    {
        padding: 10px;
        text-align: center;
        width: 80%;
        border-bottom: solid black 1px;
    }
}

.info
{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    width: 100%;

    p
    {
        text-align: center;
        width: 50%;
    }
}

main
{
    display: flex;
    flex-direction: column;
    gap: 8px;

    align-items: center;
    justify-content: center;
}

.complete
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    margin-top: 16px;

    p
    {
        margin: 4px;
        margin-bottom: 8px;
    }
}
.win-info
{
    h3
    {
        margin: 8px;
        color: greenyellow;
    }
}
.lose-info
{
    h3
    {
        margin: 8px;
        color: red;
    }
}

.button-main
{
    all: unset;

    padding: 12px;
    padding-inline: 20px;

    background-color: black;
    color: white;
    font-weight: bold;
    
    border-radius: 4px;

    transition: all ease-in-out 0.3s;

    cursor: pointer;
}
.button-main:hover
{
    background-color: grey;
    color: white;
}

.word-input-row
{
    display: flex;
    flex-direction: row;
    gap: 8px;

    div
    {
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: large;

        width: 50px;
        height: 50px;
        border-radius: 4px;

        border: solid black 1px;

        transition: all ease-in-out 0.3s;

        user-select: none;
    }
}

.maybe
{
    background-color: rgb(211, 255, 78);
}
.wrong
{
    background-color: rgb(255, 125, 125);
}
.correct
{
    background-color: rgb(125, 255, 125);
}

.inactive
{
    display: none;
}

footer
{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    margin: 20px;
}